SoVRMLNormalInterpolator(3)

NAME
SoVRMLNormalInterpolator - The SoVRMLNormalInterpolator class is used to interpolate normals.

SYNOPSIS

#include <Inventor/VRMLnodes/SoVRMLNormalInterpolator.h>

Inherits SoVRMLInterpolator.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoEngineOutputData * getOutputData (void) const
SoVRMLNormalInterpolator (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)

  Public Attributes
SoMFVec3f keyValue
SoEngineOutput value_changed

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoVRMLNormalInterpolator ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoVRMLNormalInterpolator class is used to interpolate normals. The detailed class documentation is taken verbatim from the VRML97 standard (ISO/IEC 14772-1:1997). It is copyright The Web3D Consortium, and is used by permission of the Consortium:

NormalInterpolator {
  eventIn      SFFloat set_fraction       # (-inf, inf)
  exposedField MFFloat key           []   # (-inf, inf)
  exposedField MFVec3f keyValue      []   # (-inf, inf)
  eventOut     MFVec3f value_changed
}

The NormalInterpolator node interpolates among a list of normal vector sets specified by the keyValue field. The output vector, value_changed, shall be a set of normalized vectors. Values in the keyValue field shall be of unit length. The number of normals in the keyValue field shall be an integer multiple of the number of keyframes in the key field. That integer multiple defines how many normals will be contained in the value_changed events. Normal interpolation shall be performed on the surface of the unit sphere. That is, the output values for a linear interpolation from a point P on the unit sphere to a point Q also on the unit sphere shall lie along the shortest arc (on the unit sphere) connecting points P and Q. Also, equally spaced input fractions shall result in arcs of equal length. The results are undefined if P and Q are diagonally opposite. A more detailed discussion of interpolators is provided in 4.6.8, Interpolator nodes (http://www.web3d.org/documents/specifications/14772/V2.0/part1/concepts.html#4.6.8).

Constructor & Destructor Documentation

  SoVRMLNormalInterpolator::SoVRMLNormalInterpolator (void)
Constructor.

  SoVRMLNormalInterpolator::~SoVRMLNormalInterpolator () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoVRMLNormalInterpolator::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoVRMLNormalInterpolator::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoVRMLInterpolator.

  const SoFieldData ** SoVRMLNormalInterpolator::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoVRMLNormalInterpolator::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoVRMLInterpolator.

  const SoEngineOutputData * SoVRMLNormalInterpolator::getOutputData (void) const [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Reimplemented from SoVRMLInterpolator.

  void SoVRMLNormalInterpolator::initClass (void) [static]

Member Data Documentation

  SoMFVec3f SoVRMLNormalInterpolator::keyValue
The keyValue vector.

  SoEngineOutput SoVRMLNormalInterpolator::value_changed
The eventOut which is sent every time the interpolator has calculated a new value.

Author

Generated automatically by Doxygen for Coin from the source code.